# FoundationClasses
TKAdvTools
Expr

# Expr_UnaryExpression Class Reference

`#include <Expr_UnaryExpression.hxx>`

Inheritance diagram for Expr_UnaryExpression:

[legend]

## Public Member Functions

const Handle_Expr_GeneralExpression & | Operand () const
| Returns the operand used .
Standard_EXPORT void | SetOperand (const Handle(Expr_GeneralExpression)&exp)
| Sets the operand used Raises InvalidOperand if <exp> contains <me>. .
Standard_EXPORT Standard_Integer | NbSubExpressions () const
| Returns the number of sub-expressions contained in <me> ( >= 0) .
Standard_EXPORT const Handle_Expr_GeneralExpression & | SubExpression (const Standard_Integer I) const
| Returns the -th sub-expression of <me>. Raises OutOfRange if > NbSubExpressions(me) .
Standard_EXPORT Standard_Boolean | ContainsUnknowns () const
| Does <me> contains NamedUnknown ? .
Standard_EXPORT Standard_Boolean | Contains (const Handle(Expr_GeneralExpression)&exp) const
| Tests if <exp> is contained in <me>. .
Standard_EXPORT void | Replace (const Handle(Expr_NamedUnknown)&var, const Handle(Expr_GeneralExpression)&with)
| Replaces all occurences of with <with> in <me> Raises InvalidOperand if <with> contains <me>. .
Standard_EXPORT Handle_Expr_GeneralExpression | Simplified () const
| Returns a GeneralExpression after replacement of NamedUnknowns by an associated expression, and after values computation. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT void | CreateOperand (const Handle(Expr_GeneralExpression)&exp)
| Sets the operand used during creation .

## Private Attributes

Handle_Expr_GeneralExpression | myOperand

## Member Function Documentation

Standard_EXPORT Standard_Boolean Expr_UnaryExpression::Contains | ( | const Handle(Expr_GeneralExpression)& | exp | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT Standard_Boolean Expr_UnaryExpression::ContainsUnknowns | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT void Expr_UnaryExpression::CreateOperand | ( | const Handle(Expr_GeneralExpression)& | exp | ) | `[protected]`

Standard_EXPORT const Expr_UnaryExpression::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Expr_GeneralExpression. Reimplemented in Expr_Absolute, Expr_ArcCosine, Expr_ArcSine, Expr_ArcTangent, Expr_ArgCosh, Expr_ArgSinh, Expr_ArgTanh, Expr_Cosh, Expr_Cosine, Expr_Exponential, Expr_LogOf10, Expr_LogOfe, Expr_Sign, Expr_Sine, Expr_Sinh, Expr_Square, Expr_SquareRoot, Expr_Tangent, Expr_Tanh, Expr_UnaryFunction, and Expr_UnaryMinus.

Standard_EXPORT Standard_Integer Expr_UnaryExpression::NbSubExpressions | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

const Handle_Expr_GeneralExpression& Expr_UnaryExpression::Operand | ( |  | ) | const

Standard_EXPORT void Expr_UnaryExpression::Replace | ( | const Handle(Expr_NamedUnknown)& | var,
|  | const Handle(Expr_GeneralExpression)& | with
| ) | `[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT void Expr_UnaryExpression::SetOperand | ( | const Handle(Expr_GeneralExpression)& | exp | ) |

Standard_EXPORT Handle_Expr_GeneralExpression Expr_UnaryExpression::Simplified | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT const Handle_Expr_GeneralExpression& Expr_UnaryExpression::SubExpression | ( | const Standard_Integer | I | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

## Field Documentation

Handle_Expr_GeneralExpression Expr_UnaryExpression::myOperand `[private]`

The documentation for this class was generated from the following file:

- Expr_UnaryExpression.hxx